
Application: gvSIG desktop - gvSIG bugs #2638
No aparece la pestaña de añadir capa de postgis raster
07/07/2014 01:53 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Ignacio Brodín
Category:
Target version: 2.1.0-2248-testing
Severity: Major Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2232 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al ir añadir capa, en el dialogo no apaece la pestaña de añadir capa de postgis raster.

en en el log saca:

INFO main org.gvsig.tools.library.AbstractLibrary - Can't postinitialize library 'org.gvsig.app.ApplicationLibrary'.
java.lang.NullPointerException
    at java.io.File.<init>(File.java:277)
    at org.gvsig.app.gui.preferencespage.AppSymbolPreferences.getSymbolLibraryPath(AppSymbolPreferences.java:136)
    at org.gvsig.app.gui.preferencespage.AppSymbolPreferences.initDefaults(AppSymbolPreferences.java:119)
    at org.gvsig.app.gui.preferencespage.AppSymbolPreferences.<init>(AppSymbolPreferences.java:103)
    at org.gvsig.app.ApplicationLibrary.doPostInitialize(ApplicationLibrary.java:87)
    at org.gvsig.tools.library.AbstractLibrary.postInitialize(AbstractLibrary.java:317)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.initializeLibraries(AbstractLibrariesInitializer.java:199)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.postInitialize(AbstractLibrariesInitializer.java:104)
    at org.gvsig.tools.library.AbstractLibrariesInitializer.fullInitialize(AbstractLibrariesInitializer.java:115)
    at org.gvsig.andami.Launcher.initializeLibraries(Launcher.java:768)
    at org.gvsig.andami.Launcher.doMain(Launcher.java:567)
    at org.gvsig.andami.Launcher.main(Launcher.java:385)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:606)
    at org.gvsig.andamiupdater.Updater.launchApp(Updater.java:106)
    at org.gvsig.andamiupdater.Updater.main(Updater.java:68)

Parece que esta relacionado con los cambios en la persistencia del plugin de geodb.

Related issues:
Related to Application: gvSIG desktop - gvSIG bugs # 2740: OSM and PostGIS Ra... Closed 07/29/2014
Duplicated by Application: gvSIG desktop - gvSIG bugs # 2741: The attribute d... Invalid 07/29/2014

Associated revisions
Revision 2859 - 09/03/2014 08:02 PM - Joaquín  del Cerro Murciano
Cambios para adaptarse al nuevo api de acceso al pool de parametros de servidores de BBDD refs #2638.

History
#1 - 07/18/2014 09:38 AM - Antonio Falciano

It seems to be Caused by: The attribute db_connections does not exist in a DynObject of the DynClass org.gvsig.geodb.app.mainplugin in BN2237.

From https://redmine.gvsig.net/redmine/attachments/download/945/gvSIG_saving_project_2237.log in attachment to #2682:

INFO AWT-EventQueue-1 org.gvsig.andami.actioninfo.impl.DefaultActionInfo -
org.gvsig.app.mainplugin:org.gvsig.app.extension.AddLayer.execute('view-layer-add')
WARN AWT-EventQueue-1 org.gvsig.app.extension.AddLayer - Can't create layer open dialog.
java.lang.reflect.InvocationTargetException
    at sun.reflect.NativeConstructorAccessorImpl.newInstance0(Native Method)
    at sun.reflect.NativeConstructorAccessorImpl.newInstance(Unknown Source)
    at sun.reflect.DelegatingConstructorAccessorImpl.newInstance(Unknown Source)
    at java.lang.reflect.Constructor.newInstance(Unknown Source)
    at org.gvsig.app.extension.AddLayer.createFOpenDialog(AddLayer.java:165)
    [...]
    at java.awt.EventDispatchThread.pumpEvents(Unknown Source)
    at java.awt.EventDispatchThread.run(Unknown Source)
Caused by: The attribute db_connections does not exist in a DynObject of the DynClass org.gvsig.geodb.app.mainplugin
    at org.gvsig.tools.dynobject.impl.DefaultDynObject.getDynValue(DefaultDynObject.java:111)
    at
org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.loadVectorialDBDatasourcesCombo(AddPostGISRasterLayerWizard.java:174)
    at org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.initialize(AddPostGISRasterLayerWizard.java:138)
    at org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.<init>(AddPostGISRasterLayerWizard.java:107)
    ... 49 more

yerWizard.java:174)
    at org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.initialize(AddPostGISRasterLayerWizard.java:138)
    at org.gvsig.raster.postgis.app.postgisrasterclient.gui.AddPostGISRasterLayerWizard.<init>(AddPostGISRasterLayerWizard.java:107)
    ... 49 more

#2 - 08/19/2014 03:52 AM - Álvaro Anguix
- Related to gvSIG bugs #2740: OSM and PostGIS Raster tabs become empty with USR:3857 added

#3 - 08/25/2014 03:24 AM - Álvaro Anguix
- Related to gvSIG bugs #2741: The attribute db_connections does not exist in a DynObject of the DynClass org.gvsig.geodb.app.mainplugin added

#4 - 09/02/2014 05:29 AM - Álvaro Anguix
- Assignee changed from Joaquín  del Cerro Murciano to Ignacio Brodín

#5 - 09/03/2014 02:01 PM - Joaquín  del Cerro Murciano
- Related to deleted (gvSIG bugs #2741: The attribute db_connections does not exist in a DynObject of the DynClass org.gvsig.geodb.app.mainplugin)

#6 - 09/03/2014 02:01 PM - Joaquín  del Cerro Murciano
- Duplicated by gvSIG bugs #2741: The attribute db_connections does not exist in a DynObject of the DynClass org.gvsig.geodb.app.mainplugin added

#7 - 09/03/2014 02:16 PM - Joaquín  del Cerro Murciano

He añadido ya codigo para corregir el problema... pero no lo he compilado.
gvsig-raster:r2859
#8 - 09/29/2014 01:57 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

#9 - 10/02/2014 01:23 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2247-testing

#10 - 10/02/2014 01:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2247-testing to 2.1.0-2248-testing

#11 - 10/08/2014 05:17 PM - Álvaro Anguix
- Status changed from Fixed to Closed
